Skip to main content
Monitoring & Collection/Grafana Integration
GETGrafanaSince 1.0SynchronousAuth Required

GetDashboardTemplatePreview

Get a preview of a dashboard template's JSON definition before importing

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • templateIdStringRequired

    UUID of the template to preview

Responses

200 OK

On success, this API returns the following response structure.

  • previewJsonString

    Raw JSON bytes of the Grafana dashboard definition

    Example: aGVsbG8=

Endpoint

GET/api/v1/monitoring/grafana/dashboard-templates/{templateId}/preview

/api/v1/monitoring/grafana/dashboard-templates/{templateId}/preview

Operation ID

GetDashboardTemplatePreview

Permalink

Request Example

curl -X GET '{host}/api/v1/monitoring/grafana/dashboard-templates/{templateId}/preview' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "previewJson": "example"
}

Change History

This API has no change history records yet.

View all change history